## docker-registry 2.6.0~rc.1+git20161216.38.28602af3

=== Makefile ===
# Set an output prefix, which is the local directory if not specified
PREFIX?=$(shell pwd)


# Used to populate version variable in main package.
VERSION=$(shell git describe --match 'v[0-9]*' --dirty='.m' --always)

# Allow turning off function inlining and variable registerization
ifeq (${DISABLE_OPTIMIZATION},true)
	GO_GCFLAGS=-gcflags "-N -l"
	VERSION:="$(VERSION)-noopt"
endif

GO_LDFLAGS=-ldflags "-X `go list ./version`.Version=$(VERSION)"

.PHONY: all build binaries clean dep-restore dep-save dep-validate fmt lint test test-full vet
.DEFAULT: all
all: fmt vet lint build test binaries

AUTHORS: .mailmap .git/HEAD
	 git log --format='%aN <%aE>' | sort -fu > $@

# This only needs to be generated by hand when cutting full releases.
version/version.go:
	./version/version.sh > $@

# Required for go 1.5 to build
GO15VENDOREXPERIMENT := 1

# Go files
GOFILES=$(shell find . -type f -name '*.go')

# Package list
PKGS=$(shell go list -tags "${DOCKER_BUILDTAGS}" ./... | grep -v ^github.com/docker/distribution/vendor/)

# Resolving binary dependencies for specific targets
GOLINT=$(shell which golint || echo '')
VNDR=$(shell which vndr || echo '')

${PREFIX}/bin/registry: $(GOFILES)
	@echo "+ $@"
	@go build -tags "${DOCKER_BUILDTAGS}" -o $@ ${GO_LDFLAGS}  ${GO_GCFLAGS} ./cmd/registry

${PREFIX}/bin/digest:  $(GOFILES)
	@echo "+ $@"
	@go build -tags "${DOCKER_BUILDTAGS}" -o $@ ${GO_LDFLAGS}  ${GO_GCFLAGS} ./cmd/digest

${PREFIX}/bin/registry-api-descriptor-template: $(GOFILES)
	@echo "+ $@"
	@go build -o $@ ${GO_LDFLAGS} ${GO_GCFLAGS} ./cmd/registry-api-descriptor-template

docs/spec/api.md: docs/spec/api.md.tmpl ${PREFIX}/bin/registry-api-descriptor-template
	./bin/registry-api-descriptor-template $< > $@

vet:
	@echo "+ $@"
	@go vet -tags "${DOCKER_BUILDTAGS}" $(PKGS)

fmt:
	@echo "+ $@"
	@test -z "$$(gofmt -s -l . 2>&1 | grep -v ^vendor/ | tee /dev/stderr)" || \
		(echo >&2 "+ please format Go code with 'gofmt -s'" && false)

lint:
	@echo "+ $@"
	$(if $(GOLINT), , \
		$(error Please install golint: `go get -u github.com/golang/lint/golint`))
	@test -z "$$($(GOLINT) ./... 2>&1 | grep -v ^vendor/ | tee /dev/stderr)"

build:
	@echo "+ $@"
	@go build -tags "${DOCKER_BUILDTAGS}" -v ${GO_LDFLAGS} $(PKGS)

test:
	@echo "+ $@"
	@go test -test.short -tags "${DOCKER_BUILDTAGS}" $(PKGS)

test-full:
	@echo "+ $@"
	@go test -tags "${DOCKER_BUILDTAGS}" $(PKGS)

binaries: ${PREFIX}/bin/registry ${PREFIX}/bin/digest ${PREFIX}/bin/registry-api-descriptor-template
	@echo "+ $@"

clean:
	@echo "+ $@"
	@rm -rf "${PREFIX}/bin/registry" "${PREFIX}/bin/digest" "${PREFIX}/bin/registry-api-descriptor-template"

dep-validate:
	@echo "+ $@"
	$(if $(VNDR), , \
		$(error Please install vndr: go get github.com/lk4d4/vndr))
	@rm -Rf .vendor.bak
	@mv vendor .vendor.bak
	@$(VNDR)
	@test -z "$$(diff -r vendor .vendor.bak 2>&1 | tee /dev/stderr)" || \
		(echo >&2 "+ inconsistent dependencies! what you have in vendor.conf does not match with what you have in vendor" && false)
	@rm -Rf .vendor.bak

## docker-registry 2.1.1~ds1

=== debian/changelog ===
docker-registry (2.1.1~ds1-4) unstable; urgency=medium

  * Add empty "/var/lib/docker-registry" directory so it gets purged
    appropriately (Closes: #803446)

 -- Tianon Gravi <tianon@debian.org>  Tue, 03 Nov 2015 22:28:48 -0800

docker-registry (2.1.1~ds1-3) unstable; urgency=medium

  * Skip tests on architectures other than amd64

 -- Tianon Gravi <tianon@debian.org>  Sat, 24 Oct 2015 13:21:25 -0700

docker-registry (2.1.1~ds1-2) unstable; urgency=medium

  * Swap "Build-Depends" to fix buildd building (Closes: #802796)

 -- Tianon Gravi <tianon@debian.org>  Fri, 23 Oct 2015 13:27:33 -0700

docker-registry (2.1.1~ds1-1) unstable; urgency=medium

  * Initial release (Closes: #757829)

 -- Tianon Gravi <tianon@debian.org>  Thu, 17 Sep 2015 14:30:57 -0700

=== debian/control ===
Source: docker-registry
Section: utils
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9),
               dh-exec,
               dh-golang,
               golang-check.v1-dev | golang-gopkg-check.v1-dev,
               golang-docker-dev | golang-github-docker-docker-dev,
               golang-github-adroll-goamz-dev,
               golang-github-azure-azure-sdk-for-go-dev,
               golang-github-docker-libtrust-dev,
               golang-github-garyburd-redigo-dev,
               golang-github-gorilla-handlers-dev,
               golang-github-gorilla-mux-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-ncw-swift-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-stevvooe-resumable-dev,
               golang-go,
               golang-go.crypto-dev | golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
Standards-Version: 3.9.6
Homepage: https://github.com/docker/distribution
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-distribution.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-docker-distribution.git
XS-Go-Import-Path: github.com/docker/distribution

Package: docker-registry
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Docker toolset to pack, ship, store, and deliver content
 The Docker toolset to pack, ship, store, and deliver content.
 .
 The Docker Registry 2.0 implementation contained in this package is for storing
 and distributing Docker images. It supersedes the docker/docker-registry
 project with a new API design, focused around security and performance.
 .
 This project should provide an implementation to a V2 API for use in the Docker
 core project. The API should be embeddable and simplify the process of securely
 pulling and pushing content from docker daemons.
 .
 The new registry implementation provides the following benefits:
 .
  * faster push and pull
  * new, more efficient implementation
  * simplified deployment
  * pluggable storage backend
  * webhook notifications

Package: golang-github-docker-distribution-dev
Architecture: all
Depends: golang-github-adroll-goamz-dev,
         golang-github-azure-azure-sdk-for-go-dev,
         golang-github-docker-docker-dev | golang-docker-dev,
         golang-github-docker-libtrust-dev,
         golang-github-garyburd-redigo-dev,
         golang-github-gorilla-handlers-dev,
         golang-github-gorilla-mux-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-ncw-swift-dev,
         golang-github-sirupsen-logrus-dev | golang-logrus-dev,
         golang-github-stevvooe-resumable-dev,
         golang-go,
         golang-golang-x-crypto-dev | golang-go.crypto-dev,
         golang-golang-x-net-dev,
         golang-gopkg-check.v1-dev | golang-check.v1-dev,
         golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Docker toolset to pack, ship, store, and deliver content (source)
 The Docker toolset to pack, ship, store, and deliver content.
 .
 The Docker Registry 2.0 implementation contained in this package is for storing
 and distributing Docker images. It supersedes the docker/docker-registry
 project with a new API design, focused around security and performance.
 .
 This project should provide an implementation to a V2 API for use in the Docker
 core project. The API should be embeddable and simplify the process of securely
 pulling and pushing content from docker daemons.
 .
 The new registry implementation provides the following benefits:
 .
  * faster push and pull
  * new, more efficient implementation
  * simplified deployment
  * pluggable storage backend
  * webhook notifications
 .
 This package contains the source.

=== debian/rules ===
#!/usr/bin/make -f

VERSION := v$(shell dpkg-parsechangelog -SVersion | sed 's/[~+]ds.*//; s/-.*//; s/~/-/g')+debian

DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
RUN_TESTS := false
ifeq (amd64, $(DEB_HOST_ARCH_CPU))
	# TODO figure out why tests fail on all other arches
	RUN_TESTS := true
endif

override_dh_auto_build:
	dh_auto_build -- -ldflags '-X github.com/docker/distribution/version.Version $(VERSION)'

override_dh_auto_test:
ifeq (true, $(RUN_TESTS))
	# health/checks hit the internet, and thus fail
	DH_GOLANG_EXCLUDES='health/checks' dh_auto_test -- -test.short
else
	# skip the tests on platforms where they fail
endif

%:
	dh $@ --buildsystem=golang --with=golang

## docker-registry 2.3.0~ds1

=== debian/changelog ===
docker-registry (2.3.0~ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * (Build-)Depends += golang-github-bugsnag-bugsnag-go-dev.
  * Removed "no-bugsnag.patch".
  * Removed obsolete "1125.patch".
  * Standards-Version: 3.9.7.
  * Install documentation.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 09 Mar 2016 11:34:37 +1100

docker-registry (2.2.0~ds1-2) unstable; urgency=medium

  * Simplify "BASE" in sysvinit script for better compatibility

 -- Tianon Gravi <tianon@debian.org>  Tue, 08 Mar 2016 06:43:13 -0800

docker-registry (2.2.0~ds1-1) unstable; urgency=medium

  * Update to 2.2.0 upstream release

 -- Tianon Gravi <tianon@debian.org>  Fri, 19 Feb 2016 09:10:29 -0800

=== debian/control ===
--- 
+++ 
@@ -10,19 +10,21 @@
                golang-docker-dev | golang-github-docker-docker-dev,
                golang-github-adroll-goamz-dev,
                golang-github-azure-azure-sdk-for-go-dev,
+               golang-github-bugsnag-bugsnag-go-dev,
                golang-github-docker-libtrust-dev,
                golang-github-garyburd-redigo-dev,
                golang-github-gorilla-handlers-dev,
                golang-github-gorilla-mux-dev,
                golang-github-mitchellh-mapstructure-dev,
-               golang-github-ncw-swift-dev,
+               golang-github-ncw-swift-dev (>= 0.0~git20151108),
                golang-github-sirupsen-logrus-dev,
+               golang-github-spf13-cobra-dev,
                golang-github-stevvooe-resumable-dev,
                golang-go,
-               golang-go.crypto-dev | golang-golang-x-crypto-dev,
+               golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/docker/distribution
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-distribution.git
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-docker-distribution.git
@@ -55,6 +57,7 @@
 Architecture: all
 Depends: golang-github-adroll-goamz-dev,
          golang-github-azure-azure-sdk-for-go-dev,
+         golang-github-bugsnag-bugsnag-go-dev,
          golang-github-docker-docker-dev | golang-docker-dev,
          golang-github-docker-libtrust-dev,
          golang-github-garyburd-redigo-dev,
@@ -63,9 +66,10 @@
          golang-github-mitchellh-mapstructure-dev,
          golang-github-ncw-swift-dev,
          golang-github-sirupsen-logrus-dev | golang-logrus-dev,
+         golang-github-spf13-cobra-dev,
          golang-github-stevvooe-resumable-dev,
          golang-go,
-         golang-golang-x-crypto-dev | golang-go.crypto-dev,
+         golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-gopkg-check.v1-dev | golang-check.v1-dev,
          golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev,

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,12 @@
 endif
 
 override_dh_auto_build:
-	dh_auto_build -- -ldflags '-X github.com/docker/distribution/version.Version $(VERSION)'
+	dh_auto_build -- -ldflags '-X github.com/docker/distribution/version.Version=$(VERSION)'
 
 override_dh_auto_test:
 ifeq (true, $(RUN_TESTS))
 	# health/checks hit the internet, and thus fail
-	DH_GOLANG_EXCLUDES='health/checks' dh_auto_test -- -test.short
+	DH_GOLANG_EXCLUDES='distribution/registry/handlers health/checks' dh_auto_test -- -test.short
 else
 	# skip the tests on platforms where they fail
 endif

## docker-registry 2.3.1~ds1

=== debian/changelog ===
docker-registry (2.3.1~ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Mar 2016 12:55:53 +1100

## docker-registry 2.3.1~ds2

=== debian/changelog ===
docker-registry (2.3.1~ds2-1) unstable; urgency=medium

  * Team upload.
  * Ship with vendored azure-sdk-for-go/storage (Closes: #822146).

 -- Daniel Stender <stender@debian.org>  Sun, 24 Apr 2016 17:32:07 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                golang-check.v1-dev | golang-gopkg-check.v1-dev,
                golang-docker-dev | golang-github-docker-docker-dev,
                golang-github-adroll-goamz-dev,
-               golang-github-azure-azure-sdk-for-go-dev,
+#               golang-github-azure-azure-sdk-for-go-dev,
                golang-github-bugsnag-bugsnag-go-dev,
                golang-github-docker-libtrust-dev,
                golang-github-garyburd-redigo-dev,
@@ -56,7 +56,7 @@
 Package: golang-github-docker-distribution-dev
 Architecture: all
 Depends: golang-github-adroll-goamz-dev,
-         golang-github-azure-azure-sdk-for-go-dev,
+#         golang-github-azure-azure-sdk-for-go-dev,
          golang-github-bugsnag-bugsnag-go-dev,
          golang-github-docker-docker-dev | golang-docker-dev,
          golang-github-docker-libtrust-dev,

## docker-registry 2.4.1~ds1

=== debian/changelog ===
docker-registry (2.4.1~ds1-2) unstable; urgency=medium

  * Team upload.

  [ Nicolas Braud-Santoni ]
  * Fixed conffiles permissions (Closes: #806261).
  * Removed tests that access the network (Closes: #830209).
  * Fix config directory permissions.
    Thanks to Rhonda for the guidance
  * Enable tests on all archs.

  [ Dmitry Smirnov ]
  * Fixed daemon start command in .service and .init scripts.
  * Use dh-systemd.
  * --parallel build/test.
  * Patch config file to allow "delete" by default.
  * Added myself to Uploaders.

  [ Tim Potter ]
  * Add me to uploaders

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 18 Aug 2016 14:00:44 +1000

docker-registry (2.4.1~ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Removed "Built-Using" from -dev package.
  * Build-Depends:
    + golang-github-aws-aws-sdk-go-dev
    - golang-github-adroll-goamz-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 Jun 2016 15:35:44 +1000

docker-registry (2.3.1~ds2-2) unstable; urgency=medium

  * Team upload.
  * Dropped unused dependency on "golang-github-docker-docker-dev"
    to avoid circular dependency with Docker.
  * Standards-Version: 3.9.8.
  * Vcs-Git URL to HTTPS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 12 Jun 2016 19:10:11 +1000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: utils
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>
+Uploaders: Tianon Gravi <tianon@debian.org>, Tim Potter <tpot@hpe.com>, Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-exec,
                dh-golang,
+               dh-systemd,
+#              golang-github-docker-goamz-dev,
+               golang-github-aws-aws-sdk-go-dev,
                golang-check.v1-dev | golang-gopkg-check.v1-dev,
-               golang-docker-dev | golang-github-docker-docker-dev,
-               golang-github-adroll-goamz-dev,
-#               golang-github-azure-azure-sdk-for-go-dev,
+               golang-github-azure-azure-sdk-for-go-dev,
                golang-github-bugsnag-bugsnag-go-dev,
                golang-github-docker-libtrust-dev,
                golang-github-garyburd-redigo-dev,
@@ -24,10 +25,10 @@
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/docker/distribution
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-distribution.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-docker-distribution.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-docker-distribution.git
 XS-Go-Import-Path: github.com/docker/distribution
 
 Package: docker-registry
@@ -55,10 +56,10 @@
 
 Package: golang-github-docker-distribution-dev
 Architecture: all
-Depends: golang-github-adroll-goamz-dev,
+Depends: ${misc:Depends},
+         golang-github-aws-aws-sdk-go-dev,
 #         golang-github-azure-azure-sdk-for-go-dev,
          golang-github-bugsnag-bugsnag-go-dev,
-         golang-github-docker-docker-dev | golang-docker-dev,
          golang-github-docker-libtrust-dev,
          golang-github-garyburd-redigo-dev,
          golang-github-gorilla-handlers-dev,
@@ -73,9 +74,6 @@
          golang-golang-x-net-dev,
          golang-gopkg-check.v1-dev | golang-check.v1-dev,
          golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
 Description: Docker toolset to pack, ship, store, and deliver content (source)
  The Docker toolset to pack, ship, store, and deliver content.
  .

=== debian/rules ===
#!/usr/bin/make -f

VERSION := v$(shell dpkg-parsechangelog -SVersion | sed 's/[~+]ds.*//; s/-.*//; s/~/-/g')+debian

DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)

override_dh_auto_build:
	dh_auto_build -- -ldflags '-X github.com/docker/distribution/version.Version=$(VERSION)'

override_dh_auto_test:
	# health/checks hit the internet, and thus fail
	DH_GOLANG_EXCLUDES='distribution/registry/handlers health/checks' dh_auto_test -- -test.short

%:
	dh $@ --buildsystem=golang --with=golang,systemd --parallel

## docker-registry 2.6.0~rc.1+git20161216.38.28602af3

=== debian/changelog ===
docker-registry (2.6.0~rc.1+git20161216.38.28602af3-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Tim Potter <tpot@hpe.com>  Mon, 30 Jan 2017 15:04:02 +1100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
                dh-exec,
                dh-golang,
                dh-systemd,
-#              golang-github-docker-goamz-dev,
+               golang-github-docker-goamz-dev,
                golang-github-aws-aws-sdk-go-dev,
                golang-check.v1-dev | golang-gopkg-check.v1-dev,
                golang-github-azure-azure-sdk-for-go-dev,
+               golang-github-bshuster-repo-logrus-logstash-hook-dev,
                golang-github-bugsnag-bugsnag-go-dev,
                golang-github-docker-libtrust-dev,
                golang-github-garyburd-redigo-dev,
@@ -24,6 +25,7 @@
                golang-go,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
+               golang-github-rsc-letsencrypt-dev,
                golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/docker/distribution
@@ -33,7 +35,7 @@
 
 Package: docker-registry
 Architecture: any
-Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
+Depends: adduser, ${misc:Depends}, ${shlibs:Depends}, lsb-base
 Built-Using: ${misc:Built-Using}
 Description: Docker toolset to pack, ship, store, and deliver content
  The Docker toolset to pack, ship, store, and deliver content.
@@ -73,6 +75,7 @@
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-gopkg-check.v1-dev | golang-check.v1-dev,
+         golang-github-rsc-letsencrypt-dev,
          golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev,
 Description: Docker toolset to pack, ship, store, and deliver content (source)
  The Docker toolset to pack, ship, store, and deliver content.

## docker-registry 2.6.2~ds1

=== debian/changelog ===
docker-registry (2.6.2~ds1-1) unstable; urgency=medium

  [ Tianon Gravi ]
  * Update to 2.6.2 upstream release
    - Fixes CVE-2017-11468 (Closes: #869242)
    - https://github.com/docker/distribution/releases/tag/v2.6.2

  [ Konstantinos Margaritis ]
  * Replace golang-go with golang-any in Build-Depends, remove golang-go from
    Depends

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 09 Aug 2017 17:29:31 +0300

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
                golang-github-stevvooe-resumable-dev,
-               golang-go,
+               golang-any,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-github-rsc-letsencrypt-dev,
@@ -71,7 +71,6 @@
          golang-github-sirupsen-logrus-dev | golang-logrus-dev,
          golang-github-spf13-cobra-dev,
          golang-github-stevvooe-resumable-dev,
-         golang-go,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-gopkg-check.v1-dev | golang-check.v1-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 override_dh_auto_test:
 	# health/checks hit the internet, and thus fail
-	DH_GOLANG_EXCLUDES='distribution/registry/handlers health/checks' dh_auto_test -- -test.short
+	#DH_GOLANG_EXCLUDES='distribution/registry/handlers health/checks' dh_auto_test -- -test.short
 
 %:
 	dh $@ --buildsystem=golang --with=golang,systemd --parallel

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/docker-registry-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
dversionmangle=s/[~+]ds\d*$//,\
repacksuffix=~ds1 \
  https://github.com/docker/distribution/tags .*/v?(\d\S*)\.tar\.gz

## docker-registry 2.7.1~ds1

=== debian/changelog ===
docker-registry (2.7.1~ds1-2) unstable; urgency=medium

  * dev: Depends += "golang-github-docker-go-metrics-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 13 Sep 2019 16:16:03 +1000

docker-registry (2.7.1~ds1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.0.
  * Testsuite: autopkgtest-pkg-go
  * DH & compat to version 12.
  * Removed upstart support.
  * Added "Pre-Depends" field.
  * Build-Depends:
    + golang-github-opencontainers-go-digest-dev
    + golang-github-opencontainers-image-spec-dev
    + golang-github-shopify-logrus-bugsnag-dev
    + golang-github-xenolf-lego-dev
    + golang-protobuf-extensions-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 13 Sep 2019 02:50:26 +1000

docker-registry (2.6.2~ds1-2) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New patch to fix logrus imports.
  * (Build-)Depends:
    = golang-github-bshuster-repo-logrus-logstash-hook-dev (>= 0.4.1)
    = golang-github-sirupsen-logrus-dev (>= 1.0.2~)
  * Standards-Version: 4.1.4
  * Priority: optional
  * DH to version 11; compat to version 10.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 05 May 2018 23:49:53 +1000

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,48 @@
 Source: docker-registry
 Section: utils
-Priority: extra
+Priority: optional
+Standards-Version: 4.4.0
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>, Tim Potter <tpot@hpe.com>, Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 12~),
                dh-exec,
                dh-golang,
-               dh-systemd,
+               golang-any,
+               golang-check.v1-dev | golang-gopkg-check.v1-dev,
+               golang-github-aws-aws-sdk-go-dev,
+               golang-github-azure-azure-sdk-for-go-dev,
+               golang-github-bshuster-repo-logrus-logstash-hook-dev (>= 0.4.1),
+               golang-github-bugsnag-bugsnag-go-dev,
                golang-github-docker-goamz-dev,
-               golang-github-aws-aws-sdk-go-dev,
-               golang-check.v1-dev | golang-gopkg-check.v1-dev,
-               golang-github-azure-azure-sdk-for-go-dev,
-               golang-github-bshuster-repo-logrus-logstash-hook-dev,
-               golang-github-bugsnag-bugsnag-go-dev,
+               golang-github-docker-go-metrics-dev,
                golang-github-docker-libtrust-dev,
                golang-github-garyburd-redigo-dev,
                golang-github-gorilla-handlers-dev,
                golang-github-gorilla-mux-dev,
                golang-github-mitchellh-mapstructure-dev,
                golang-github-ncw-swift-dev (>= 0.0~git20151108),
-               golang-github-sirupsen-logrus-dev,
+               golang-github-opencontainers-go-digest-dev,
+               golang-github-opencontainers-image-spec-dev,
+               golang-github-rsc-letsencrypt-dev,
+               golang-github-shopify-logrus-bugsnag-dev,
+               golang-github-sirupsen-logrus-dev (>= 1.0.2~),
                golang-github-spf13-cobra-dev,
                golang-github-stevvooe-resumable-dev,
-               golang-any,
+               golang-github-xenolf-lego-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
-               golang-github-rsc-letsencrypt-dev,
+               golang-protobuf-extensions-dev,
                golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
-Standards-Version: 3.9.8
 Homepage: https://github.com/docker/distribution
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-distribution.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-docker-distribution.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution.git
 XS-Go-Import-Path: github.com/docker/distribution
+Testsuite: autopkgtest-pkg-go
 
 Package: docker-registry
 Architecture: any
 Depends: adduser, ${misc:Depends}, ${shlibs:Depends}, lsb-base
+Pre-Depends: ${misc:Pre-Depends}
 Built-Using: ${misc:Built-Using}
 Description: Docker toolset to pack, ship, store, and deliver content
  The Docker toolset to pack, ship, store, and deliver content.
@@ -62,13 +69,14 @@
          golang-github-aws-aws-sdk-go-dev,
 #         golang-github-azure-azure-sdk-for-go-dev,
          golang-github-bugsnag-bugsnag-go-dev,
+         golang-github-docker-go-metrics-dev,
          golang-github-docker-libtrust-dev,
          golang-github-garyburd-redigo-dev,
          golang-github-gorilla-handlers-dev,
          golang-github-gorilla-mux-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-ncw-swift-dev,
-         golang-github-sirupsen-logrus-dev | golang-logrus-dev,
+         golang-github-sirupsen-logrus-dev (>= 1.0.2~),
          golang-github-spf13-cobra-dev,
          golang-github-stevvooe-resumable-dev,
          golang-golang-x-crypto-dev,

=== debian/rules ===
#!/usr/bin/make -f

VERSION := v$(shell dpkg-parsechangelog -SVersion | sed 's/[~+]ds.*//; s/-.*//; s/~/-/g')+debian

DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)

export DH_GOLANG_GO_GENERATE := 1

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find vendor -type d -empty -delete -print

override_dh_auto_build:
	dh_auto_build -- -ldflags '-X github.com/docker/distribution/version.Version=$(VERSION)'

override_dh_auto_test:
	# health/checks hit the internet, and thus fail
	#DH_GOLANG_EXCLUDES='distribution/registry/handlers health/checks' dh_auto_test -- -test.short

%:
	dh $@ --buildsystem=golang --with=golang

## docker-registry 2.7.1%2Bds2

=== debian/changelog ===
docker-registry (2.7.1+ds2-7ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: runaway memory allocation
    - debian/patches/CVE-2023-2253.patch: introduced a Catalog entry
      in the configuration struct to control the maximum amount of entries
      returned by /v2/catalog.
    - CVE-2023-2253

 -- Allen Huang <allen.huang@canonical.com>  Tue, 29 Aug 2023 23:23:29 +0100

docker-registry (2.7.1+ds2-7ubuntu0.2) focal-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 18 Jan 2023 12:26:35 +0100

docker-registry (2.7.1+ds2-7ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 00:52:38 +0200

docker-registry (2.7.1+ds2-7) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * New patch to remove obsolete "golang-github-rsc-letsencrypt-dev".

  [ Arnaud Rebillout ]
  * Update letsencrypt patch per upstream PR 2926

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Tue, 07 Jan 2020 15:30:10 +0700

docker-registry (2.7.1+ds2-6) unstable; urgency=medium

  * Update patch config-docker-registry (Closes: #948217)

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Tue, 07 Jan 2020 09:32:17 +0700

docker-registry (2.7.1+ds2-5) unstable; urgency=medium

  * Disable azure support (patch it out)
  * Rename TODO.Debian to TODO

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Mon, 16 Dec 2019 10:51:27 +0700

docker-registry (2.7.1~ds1-4) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * Minor adjustments in the build depend tree, cleanup here and there.

  [ Dmitry Smirnov ]
  * Standards-Version: 4.4.1
  * rules: don't call 'dpkg-parsechangelog'.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 Dec 2019 14:41:44 +1100

docker-registry (2.7.1~ds1-3) unstable; urgency=medium

  * dev: Depends += "opencontainers-{go-digest,image-spec}-dev".
  * Add myself to uploaders, update maintainer field.

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Tue, 05 Nov 2019 13:05:17 +1100

## docker-registry 2.7.1+ds2

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: docker-registry
 Section: utils
 Priority: optional
-Standards-Version: 4.4.0
-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>, Tim Potter <tpot@hpe.com>, Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 12~),
+Standards-Version: 4.4.1
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
+           Dmitry Smirnov <onlyjob@debian.org>,
+           Tianon Gravi <tianon@debian.org>,
+           Tim Potter <tpot@hpe.com>,
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dh-golang,
                golang-any,
-               golang-check.v1-dev | golang-gopkg-check.v1-dev,
                golang-github-aws-aws-sdk-go-dev,
-               golang-github-azure-azure-sdk-for-go-dev,
                golang-github-bshuster-repo-logrus-logstash-hook-dev (>= 0.4.1),
                golang-github-bugsnag-bugsnag-go-dev,
-               golang-github-docker-goamz-dev,
                golang-github-docker-go-metrics-dev,
                golang-github-docker-libtrust-dev,
                golang-github-garyburd-redigo-dev,
@@ -23,16 +23,14 @@
                golang-github-ncw-swift-dev (>= 0.0~git20151108),
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
-               golang-github-rsc-letsencrypt-dev,
                golang-github-shopify-logrus-bugsnag-dev,
                golang-github-sirupsen-logrus-dev (>= 1.0.2~),
                golang-github-spf13-cobra-dev,
-               golang-github-stevvooe-resumable-dev,
-               golang-github-xenolf-lego-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
+               golang-gopkg-check.v1-dev,
+               golang-gopkg-yaml.v2-dev,
                golang-protobuf-extensions-dev,
-               golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
 Homepage: https://github.com/docker/distribution
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution.git
@@ -67,7 +65,6 @@
 Architecture: all
 Depends: ${misc:Depends},
          golang-github-aws-aws-sdk-go-dev,
-#         golang-github-azure-azure-sdk-for-go-dev,
          golang-github-bugsnag-bugsnag-go-dev,
          golang-github-docker-go-metrics-dev,
          golang-github-docker-libtrust-dev,
@@ -76,14 +73,14 @@
          golang-github-gorilla-mux-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-ncw-swift-dev,
+         golang-github-opencontainers-go-digest-dev,
+         golang-github-opencontainers-image-spec-dev,
          golang-github-sirupsen-logrus-dev (>= 1.0.2~),
          golang-github-spf13-cobra-dev,
-         golang-github-stevvooe-resumable-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
-         golang-gopkg-check.v1-dev | golang-check.v1-dev,
-         golang-github-rsc-letsencrypt-dev,
-         golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev,
+         golang-gopkg-check.v1-dev,
+         golang-gopkg-yaml.v2-dev,
 Description: Docker toolset to pack, ship, store, and deliver content (source)
  The Docker toolset to pack, ship, store, and deliver content.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_GO_GENERATE := 1

include /usr/share/dpkg/pkg-info.mk

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find vendor -type d -empty -delete -print

override_dh_auto_build:
	dh_auto_build -- -ldflags '-X github.com/docker/distribution/version.Version=$(DEB_VERSION_UPSTREAM)'

override_dh_auto_test:
	# health/checks hit the internet, and thus fail
	#DH_GOLANG_EXCLUDES='distribution/registry/handlers health/checks' dh_auto_test -- -test.short

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/docker-registry-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
dversionmangle=s/[~+]ds\d*$//,\
repacksuffix=+ds2 \
  https://github.com/docker/distribution/tags .*/v?(\d\S*)\.tar\.gz

## docker-registry 2.8.0+ds1

=== debian/changelog ===
docker-registry (2.8.0+ds1-4ubuntu0.1~esm2) jammy-security; urgency=medium

  * SECURITY UPDATE: runaway memory allocation
    - debian/patches/CVE-2023-2253.patch: introduced a Catalog entry
      in the configuration struct to control the maximum amount of entries
      returned by /v2/catalog.
    - CVE-2023-2253
  * debian/patches/0009-Fix-panic-in-inmemory-driver.patch: fixed panic
    in inmemory driver

 -- Allen Huang <allen.huang@canonical.com>  Thu, 31 Aug 2023 10:26:27 +0100

docker-registry (2.8.0+ds1-4) unstable; urgency=medium

  * Team upload
  * Skip failed tests
    + Flaky: TestGracefulShutdown and TestRegistrySupportedCipherSuite
    + Need network: TestRegistryAsCacheMutationAPIs

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 11 Feb 2022 14:27:09 +0800

docker-registry (2.8.0+ds1-3) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * Try to fix tests by increase timeout and sleep time

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 11 Feb 2022 02:11:51 +0800

docker-registry (2.8.0+ds1-2) experimental; urgency=medium

  * Team upload
  * Increase test timeout as it timed out on mipsel
  * Drop dh-exec

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 09 Feb 2022 00:56:46 +0800

docker-registry (2.8.0+ds1-1) experimental; urgency=medium

  * Team upload
  * New upstream release v2.8.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 08 Feb 2022 01:35:42 +0800

## docker-registry 2.8.1+ds1

=== debian/changelog ===
docker-registry (2.8.1+ds1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 29 Jun 2022 13:32:34 +0100

docker-registry (2.8.1+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.8.1+ds1
  * Fix panic in inmemory driver (Closes: #1008429)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Mar 2022 19:44:35 +0800

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
            Dmitry Smirnov <onlyjob@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Build-Depends: debhelper-compat (= 12),
-               dh-exec,
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-aws-aws-sdk-go-dev,
-               golang-github-bshuster-repo-logrus-logstash-hook-dev (>= 0.4.1),
+               golang-github-bshuster-repo-logrus-logstash-hook-dev,
                golang-github-bugsnag-bugsnag-go-dev,
                golang-github-docker-go-metrics-dev,
                golang-github-docker-libtrust-dev,
@@ -20,28 +19,30 @@
                golang-github-gorilla-handlers-dev,
                golang-github-gorilla-mux-dev,
                golang-github-mitchellh-mapstructure-dev,
-               golang-github-ncw-swift-dev (>= 0.0~git20151108),
+               golang-github-ncw-swift-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
                golang-github-shopify-logrus-bugsnag-dev,
-               golang-github-sirupsen-logrus-dev (>= 1.0.2~),
+               golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
                golang-golang-x-crypto-dev,
-               golang-golang-x-net-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-               golang-protobuf-extensions-dev,
 Homepage: https://github.com/docker/distribution
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution.git
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/docker/distribution
-Testsuite: autopkgtest-pkg-go
 
 Package: docker-registry
 Architecture: any
-Depends: adduser, ${misc:Depends}, ${shlibs:Depends}, lsb-base
-Pre-Depends: ${misc:Pre-Depends}
-Built-Using: ${misc:Built-Using}
+Depends: adduser,
+         lsb-base,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends},
+Built-Using: ${misc:Built-Using},
 Description: Docker toolset to pack, ship, store, and deliver content
  The Docker toolset to pack, ship, store, and deliver content.
  .
@@ -63,8 +64,7 @@
 
 Package: golang-github-docker-distribution-dev
 Architecture: all
-Depends: ${misc:Depends},
-         golang-github-aws-aws-sdk-go-dev,
+Depends: golang-github-aws-aws-sdk-go-dev,
          golang-github-bugsnag-bugsnag-go-dev,
          golang-github-docker-go-metrics-dev,
          golang-github-docker-libtrust-dev,
@@ -75,12 +75,11 @@
          golang-github-ncw-swift-dev,
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-image-spec-dev,
-         golang-github-sirupsen-logrus-dev (>= 1.0.2~),
+         golang-github-sirupsen-logrus-dev,
          golang-github-spf13-cobra-dev,
          golang-golang-x-crypto-dev,
-         golang-golang-x-net-dev,
-         golang-gopkg-check.v1-dev,
          golang-gopkg-yaml.v2-dev,
+         ${misc:Depends},
 Description: Docker toolset to pack, ship, store, and deliver content (source)
  The Docker toolset to pack, ship, store, and deliver content.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_GOLANG_EXCLUDES := \
	registry/storage/driver/azure \
	cmd/digest  cmd/registry-api-descriptor-template \
	contrib/token-server

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- -ldflags '-X github.com/docker/distribution/version.Version=$(DEB_VERSION_UPSTREAM)'

execute_after_dh_auto_install:
	mv debian/tmp/usr/bin/registry debian/tmp/usr/bin/docker-registry
	mkdir -p debian/tmp/etc/docker/registry
	cp cmd/registry/config-example.yml debian/tmp/etc/docker/registry/config.yml

override_dh_auto_test:
	dh_auto_test -- -test.short -test.timeout=1h

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
  uversionmangle=s%(\d)-(rc|beta|alpha)\.?(\d*)$%$1~$2$3%, \
  dversionmangle=auto, \
  repacksuffix=+ds1" \
https://github.com/distribution/distribution/tags \
(?:.*?/)?v?@ANY_VERSION@\.tar\.gz

## docker-registry 2.8.2+ds1

=== debian/changelog ===
docker-registry (2.8.2+ds1-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 12:36:30 +1000

docker-registry (2.8.2+ds1-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 25 Oct 2024 14:42:12 +1000

docker-registry (2.8.2+ds1-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jul 2024 12:56:32 +0530

docker-registry (2.8.2+ds1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:46 +1200

docker-registry (2.8.2+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.8.2+ds1
    + CVE-2023-2253: Catalog API endpoint can lead to OOM via malicious user
      input (Closes: #1035956)
  * Drop patch merged by upstream
    + 0009-Fix-panic-in-inmemory-driver.patch

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 13 May 2023 23:21:12 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: utils
 Priority: optional
 Standards-Version: 4.4.1
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
            Dmitry Smirnov <onlyjob@debian.org>,
            Tianon Gravi <tianon@debian.org>,

## docker-registry 2.8.3+ds1

=== debian/changelog ===
docker-registry (2.8.3+ds1-2) unstable; urgency=medium

  * Team upload.
  * Remove Arnaud and Tim from Uploaders field
  * Normalize fields with wrap-and-sort
  * Add missing dependency on golang-github-distribution-reference-dev

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Sep 2024 07:25:27 -0400

docker-registry (2.8.3+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream release: 2.8.3
  * Provide an empty htpasswd file, Closes: #102338
  * Depend on golang-distribution-reference-dev
  * Avoid depends on deprecated 'lsb-base'
  * Skip flaky TestDeleteOnlyDeletesSubpaths, Closes: #1078495
  * Bump Standards-Version

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Aug 2024 07:46:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: docker-registry
 Section: utils
 Priority: optional
-Standards-Version: 4.4.1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
-           Dmitry Smirnov <onlyjob@debian.org>,
-           Tianon Gravi <tianon@debian.org>,
-           Tim Potter <tpot@hpe.com>,
+Standards-Version: 4.7.0
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
+           Tianon Gravi <tianon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-aws-aws-sdk-go-dev,
                golang-github-bshuster-repo-logrus-logstash-hook-dev,
                golang-github-bugsnag-bugsnag-go-dev,
+               golang-github-distribution-reference-dev (>> 0.6.0-4~~),
                golang-github-docker-go-metrics-dev,
                golang-github-docker-libtrust-dev,
                golang-github-garyburd-redigo-dev,
@@ -28,7 +26,7 @@
                golang-github-spf13-cobra-dev,
                golang-golang-x-crypto-dev,
                golang-gopkg-check.v1-dev,
-               golang-gopkg-yaml.v2-dev,
+               golang-gopkg-yaml.v2-dev
 Homepage: https://github.com/docker/distribution
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution.git
@@ -38,12 +36,9 @@
 
 Package: docker-registry
 Architecture: any
-Depends: adduser,
-         lsb-base,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Pre-Depends: ${misc:Pre-Depends},
-Built-Using: ${misc:Built-Using},
+Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Built-Using: ${misc:Built-Using}
 Description: Docker toolset to pack, ship, store, and deliver content
  The Docker toolset to pack, ship, store, and deliver content.
  .
@@ -65,8 +60,10 @@
 
 Package: golang-github-docker-distribution-dev
 Architecture: all
+Section: golang
 Depends: golang-github-aws-aws-sdk-go-dev,
          golang-github-bugsnag-bugsnag-go-dev,
+         golang-github-distribution-reference-dev (>> 0.6.0-4~~),
          golang-github-docker-go-metrics-dev,
          golang-github-docker-libtrust-dev,
          golang-github-garyburd-redigo-dev,
@@ -80,7 +77,7 @@
          golang-github-spf13-cobra-dev,
          golang-golang-x-crypto-dev,
          golang-gopkg-yaml.v2-dev,
-         ${misc:Depends},
+         ${misc:Depends}
 Description: Docker toolset to pack, ship, store, and deliver content (source)
  The Docker toolset to pack, ship, store, and deliver content.
  .

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 execute_after_dh_auto_install:
 	mv debian/tmp/usr/bin/registry debian/tmp/usr/bin/docker-registry
 	mkdir -p debian/tmp/etc/docker/registry
+	touch debian/tmp/etc/docker/registry/htpasswd
 	cp cmd/registry/config-example.yml debian/tmp/etc/docker/registry/config.yml
 
 override_dh_auto_test:
